<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classtinyxml2_1_1_mem_pool_t.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt; Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a028d833de2bf5e6257b4b27a68702a84">_blockPtrs</a></td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#afa908fd62011c6e633d7af196d667e9d">_currentAllocs</a></td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#aaf3960c9e30197aeb1c0af271c297db9">_maxAllocs</a></td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#acd5867e06ad91a655f3c9f95ca163e9b">_nAllocs</a></td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a5048ad99f7350f7224b13cf85fbff151">_nUntracked</a></td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#aff60ad785be00814e442e53fb4462688">_root</a></td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a334b67f5bd878b2b3c1746ebd240590a">Alloc</a>()</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a22d595caa0e9d23aa080f49ca6475fdd">Clear</a>()</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a445a6c80151ba6268b24ec62a7c84d74">CurrentAllocs</a>() const</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a408ce0918e9d3d5e5e1cc4896944875f">Free</a>(void *mem)</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a04cf45156e6f913f93972869ff8a1d94ab72c1e16d6626854c41feb19e60c54d1">ITEMS_PER_BLOCK</a> enum value</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a54e4d9b343459ef1731314a99877ff35">ItemSize</a>() const</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool.html#a9101a0083d7370c85bd5aaaba7157f84">MemPool</a>()</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool.html">tinyxml2::MemPool</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#ac8fa6dbb403f009cf9c8a33c6f2803b3">MemPoolT</a>()</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#afa8770a0645d28bd849e7e5aefb326ed">MemPoolT</a>(const MemPoolT &amp;)</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a12ba6478e385244beb2ca3947879fd24">operator=</a>(const MemPoolT &amp;)</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#aee3c611215ae08cce41a940bf2763027">SetTracked</a>()</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a47eefbd934ef70d973ea41d41ab5f239">Trace</a>(const char *name)</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a3bcdc302ae15d2810e11192321a8f5f1">Untracked</a>() const</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool.html#ae55ad9e3faeca702e6ccbb38fdbcad72">~MemPool</a>()</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool.html">tinyxml2::MemPool</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a5fa4fee934a3df2b9e74282244d78390">~MemPoolT</a>()</td><td class="entry"><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
